using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace JuSNS.Web.user
{
    public partial class pokeCommonality : JuSNS.UI.Page.UserPage
    {
        public string GUserName = string.Empty;
        public string UserHeadPic = string.Empty;
        JuSNS.Home.HomeIndex uHome = new JuSNS.Home.HomeIndex();
        public string FriendID = string.Empty;
        public string GUserID = string.Empty;
        public string GID = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            GID = Request.QueryString["ID"];
            string gAction = Request.QueryString["action"];
            if (gAction == "clear")
            {
                uHome.UpdatePoke(Convert.ToInt32(Request.QueryString["fid"]), Convert.ToInt32(Request.QueryString["uid"]),1);
            }
            else if (gAction == "repoke")
            {
                //action=repoke&fId="+fid+"&uid="+uid,
                string fID = Request.QueryString["fId"];
                string UID = Request.QueryString["uid"];
                uHome.UpdatePoke(Convert.ToInt32(fID), Convert.ToInt32(UID), 0);
            }
            else
            {
                GUserName = Request.QueryString["username"];
                FriendID = Request.QueryString["Id"];
                GUserID = UserID.ToString();
                UserHeadPic = GetHeadImage(Convert.ToInt32(FriendID), 2);
            }
        }
    }
}
